From 7c4b0e8988c379f5a0d28b29c462061d2c28fd80 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 15:02:32 +0800
Subject: [PATCH 70/77] virsh_domxml_to_native: increase ASAN environmental
 judgment conditions

Add LD_PRELOAD into ignore env compare lists. Otherwise, it will fail to
run if we enable the sanitizers.

If conv_arg contain LD_PRELOAD, then add it to qemu_arg.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
index a685bcce..ea98208f 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
@@ -121,6 +121,10 @@ def run(test, params, env):
                 'XDG_CACHE_HOME',
                 'XDG_CONFIG_HOME',
             ]
+        if re.search('LD_PRELOAD.[^\s]+\s', conv_arg):
+            expected_env_vars += [
+                'LD_PRELOAD',
+             ]
 
         valmatcher = '.[^\\s]+\\s'
 
-- 
2.23.0

